Package Details: python2-xynehttpserver 2012.12.24.2-4

Git Clone URL: https://aur.archlinux.org/python2-xynehttpserver.git (read-only)
Package Base: python2-xynehttpserver
Description: Python BaseHTTPServer classes extended with authentication, SSL, and threading.
Upstream URL: http://xyne.archlinux.ca/projects/python2-xynehttpserver
Keywords: python server
Licenses: GPL
Conflicts: python-xynehttpserver
Submitter: Xyne
Maintainer: Xyne
Last Packager: Xyne
Votes: 58
Popularity: 0.009648
First Submitted: 2012-11-28 00:18
Last Updated: 2015-06-21 02:29

Latest Comments

Xyne commented on 2013-05-10 20:16

I have finally managed to rewrite this in Python 3. The code is cleaner and more robust now (minus whatever new bugs I have introduced). Multirange file requests are not properly supported, and file uploads should be more efficient, among other things.

The new code is included in the python3-threaded_servers pages: http://xyne.archlinux.ca/projects/python3-threaded_servers/

I will likely merge this into that package as soon as I find the time to convert voracious.

Xyne commented on 2012-11-28 00:20

merged into python2-xynehttpserver

alkino commented on 2012-10-30 14:40

Should be rename python2-xynehttpserver.

olebowle commented on 2012-10-24 17:42

It works now, thanks.

Xyne commented on 2012-10-24 16:44

The signature file was reuploaded to the server several hours ago.

olebowle commented on 2012-10-24 08:54

The .sig file is missing.

dvzrv commented on 2011-07-27 11:20

The md5sum has changed again. Please update the PKGBUILD

Xyne commented on 2011-02-17 19:46

updated

Kosava commented on 2011-02-17 00:09

It not work for me here is what said

==> Checking Runtime Dependencies...
==> Checking Buildtime Dependencies...
==> Retrieving Sources...
-> Found python-xynehttpserver-2011.02.03.3.tar.gz
==> Validating source files with md5sums...
python-xynehttpserver-2011.02.03.3.tar.gz ... FAILED
==> ERROR: One or more files did not pass the validity check!

figue commented on 2010-10-06 07:29

Hi Xyne, any help to make it work with lastest python2 version? Thank you

$ quickserve
Traceback (most recent call last):
File "/usr/bin/quickserve", line 19, in <module>
from XyneHTTPServer import ThreadedHTTPServer, BaseHTTPRequestHandler
ImportError: No module named XyneHTTPServer

All comments